const request = (url) => fetch(url).then(r => r.json());

const service = {
  /**
   * 以下仅为 mock 示例，需要按照接入文档返回符合规范的数据结构
   */
  DescribeCasters: () => request('/api/DescribeCasters'),
  DescribeCasterConfig: () => request('/api/DescribeCasterConfig'),
  DescribeLiveUserDomains: () => request('/api/DescribeLiveUserDomains'),
  DescribeLiveDomainConfigs: () => request('/api/DescribeLiveDomainConfigs'),
  DescribeCasterVideoResources: () => request('/api/DescribeCasterVideoResources'),
  DescribeCasterChannels: () => request('/api/DescribeCasterChannels'),
  DescribeCasterLayouts: () => request('/api/DescribeCasterLayouts'),
  DescribeCasterScenes: () => request('/api/DescribeCasterScenes'),
  DescribeCasterComponents: () => request('/api/DescribeCasterComponents'),
  DescribeCasterSyncGroup: () => request('/api/DescribeCasterSyncGroup'),
  DescribeCasterRtcInfo: () => request('/api/DescribeCasterRtcInfo'),
  GetImageInfo: () => request('/api/GetImageInfo'),
  GetPlayInfo: () => request('/api/GetPlayInfo'),
  DescribeStudioDefaultBgImageList: () => request('/api/DescribeStudioDefaultBgImageList'),
  
  // 完整 service 列表见接入文档
};

const { default: Caster, Log: CasterLog } = window.AliCaster;
new Caster({
  BizCode: 'Caster-sdk-demo', // 请填写您的业务代码
  Container: 'caster-root',
  Id: 'LIVEPRODUCER_POST-cn-0pp0galm107',
  Region: 'cn-shanghai', //  根据您的接入点填写
  Language: 'zh'
}, service);
